<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="8dp"
    app:cardCornerRadius="12dp"
    app:cardElevation="4dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="110dp"
        android:orientation="horizontal">

        <!-- Red Vertical Strip -->
        <View
            android:layout_width="4dp"
            android:layout_height="match_parent"
            android:background="@color/colorPrimaryDark"/>

        <!-- Content Area -->
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical"
            android:padding="12dp">

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:textSize="22sp"
                android:textStyle="bold"
                android:textColor="#000000"/>

            <TextView
                android:id="@+id/tvViewDetail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@string/view_detailer"
                android:fontFamily="sans-serif-medium"
                android:textSize="12sp"
                android:textColor="@color/colorPrimary"/>

        </LinearLayout>

        <!-- Right Icon Area -->
        <LinearLayout
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:background="#E8FBE3"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/imgThumbnail"
                android:layout_width="70dp"
                android:layout_height="90dp"
                />

        </LinearLayout>

    </LinearLayout>

</androidx.cardview.widget.CardView>